'2008 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.Transactions


Friend NotInheritable Class Program
   Private Sub New()
   End Sub
   Shared Sub Main()
	  Dim proxy As New MyCounterClient()

	  Using scope As New TransactionScope()
		 proxy.Increment("MyInstance")
		 scope.Complete()
	  End Using

	  'This transaction will abort since the scope is not completed 
	  Using scope As New TransactionScope()
		 proxy.Increment("MyInstance")
	  End Using

	  Using scope As New TransactionScope()
		 proxy.Increment("MyInstance")
		 proxy.RemoveCounter("MyInstance")
		 scope.Complete()
	  End Using

	  proxy.Close()
   End Sub
End Class