'2008 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.ServiceModel
Imports System.ServiceModel.Channels


<ServiceContract> _
Friend Interface IMyCounter
   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub Increment()

   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub RemoveCounter()
End Interface

Friend Class MyCounterClient
	Inherits ClientBase(Of IMyCounter)
	Implements IMyCounter
   Public Sub Increment() Implements IMyCounter.Increment
	  Channel.Increment()
   End Sub

   Public Sub RemoveCounter() Implements IMyCounter.RemoveCounter
	  Channel.RemoveCounter()
   End Sub
End Class
