'2008 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.Transactions
Imports ServiceModelEx

Friend NotInheritable Class Program
   Private Sub New()
   End Sub
   Shared Sub Main()
	  Dim proxy As IMyCounter = InProcFactory.CreateInstance(Of MyService,IMyCounter)()

	  Using scope As New TransactionScope()
		 proxy.Increment()
		 scope.Complete()
	  End Using

	  'This transaction will abort since the scope is not completed 
	  Using scope As New TransactionScope()
		 proxy.Increment()
	  End Using

	  Using scope As New TransactionScope()
		 proxy.Increment()
		 scope.Complete()
	  End Using

	  InProcFactory.CloseProxy(proxy)
   End Sub
End Class