'2008 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.ServiceModel


<ServiceContract> _
Friend Interface IMyCounter
   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub Increment(ByVal instanceId As String)

   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub RemoveCounter(ByVal instanceId As String)
End Interface


Friend Class MyCounterClient
	Inherits ClientBase(Of IMyCounter)
	Implements IMyCounter
   Public Sub Increment(ByVal instanceId As String) Implements IMyCounter.Increment
	  Channel.Increment(instanceId)
   End Sub

   Public Sub RemoveCounter(ByVal instanceId As String) Implements IMyCounter.RemoveCounter
	  Channel.RemoveCounter(instanceId)
   End Sub
End Class
