'2008 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.ServiceModel
Imports System.Windows.Forms
Imports ServiceModelEx
Imports ServiceModelEx.Transactional


<ServiceContract> _
Friend Interface IMyCounter
   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub Increment()
End Interface

<ServiceBehavior(ReleaseServiceInstanceOnTransactionComplete := False)> _
Friend Class MyService
	Implements IMyCounter
   Private m_Counter As Transactional(Of Integer) = New Transactional(Of Integer)()

   Public Sub New()
	  MessageBox.Show("MyService()","MyService")
   End Sub
   <OperationBehavior(TransactionScopeRequired := True)> _
   Public Sub Increment() Implements IMyCounter.Increment
	  m_Counter.Value += 1
	  MessageBox.Show("Counter = " & m_Counter.Value,"MyService.Increment()")
   End Sub
End Class