'2008 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.ServiceModel
Imports System.Windows.Forms
Imports ServiceModelEx
Imports System.ServiceModel.Description


<ServiceContract> _
Friend Interface IMyCounter
   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub Increment()

   <OperationContract, TransactionFlow(TransactionFlowOption.Allowed)> _
   Sub RemoveCounter()
End Interface


<Serializable, TransactionalBehavior(AutoCompleteInstance := False)> _
Friend Class MyService
	Implements IMyCounter
   Private m_Counter As Integer = 0

   Public Sub New()
	  MessageBox.Show("MyService()","MyService")
   End Sub

   Public Sub Increment() Implements IMyCounter.Increment
	  m_Counter += 1
	  MessageBox.Show("Counter = " & m_Counter,"MyService.Increment()")
   End Sub

   <DurableOperation(CompletesInstance := True)> _
   Public Sub RemoveCounter() Implements IMyCounter.RemoveCounter
	  MessageBox.Show("RemoveCounter()","MyService")
   End Sub
End Class
